From e6e5c6f8eb40ef705fec7e07f559e8247c5b7c92 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:28:58 +0200
Subject: [PATCH 1/9] x264: update to 20190507.2245. (soname bump)

---
 common/shlibs         | 2 +-
 srcpkgs/x264/template | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 9857067a1ad..89bb5359072 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -401,7 +401,7 @@ libavutil.so.56 libavutil-4.0_1
 libavfilter.so.7 libavfilter-4.0_1
 libSDL-1.2.so.0 SDL-1.2.14_1
 libSDL_image-1.2.so.0 SDL_image-1.2.10_1
-libx264.so.152 x264-20180119.2245_1
+libx264.so.157 x264-20190507.2245_1
 libxvidcore.so.4 xvidcore-1.2.2_1
 libtag.so.1 taglib-1.6.1_1
 libtag-extras.so.1 taglib-extras-1.0.1_1
diff --git a/srcpkgs/x264/template b/srcpkgs/x264/template
index 0d5c3de923f..67da71df40c 100644
--- a/srcpkgs/x264/template
+++ b/srcpkgs/x264/template
@@ -1,6 +1,6 @@
 # Template file for 'x264'
 pkgname=x264
-_snap_date=20180307
+_snap_date=20190507
 _snap_rev=2245
 version="${_snap_date}.${_snap_rev}"
 revision=1
@@ -11,7 +11,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="http://www.videolan.org/developers/x264.html"
 license="GPL-2.0-or-later"
 distfiles="http://download.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-${_snap_date}-${_snap_rev}-stable.tar.bz2"
-checksum=56d4ced6395b8ba30d87498668b155f2529c2f1af9bd0aa9cb7685873c88ec9a
+checksum=f2dc1e892e993594b772a006f6f8fe6296cea4230a030dd30ea25e41102bb954
 
 do_configure() {
 	local args

From 49c2a9310ef62998911526d373036cbee0bb3587 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:11 +0200
Subject: [PATCH 2/9] avidemux: rebuild against x264-20190507.2245

---
 srcpkgs/avidemux/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/avidemux/template b/srcpkgs/avidemux/template
index 51087b0567e..3bef067a658 100644
--- a/srcpkgs/avidemux/template
+++ b/srcpkgs/avidemux/template
@@ -1,7 +1,7 @@
 # Template file for 'avidemux'
 pkgname=avidemux
 version=2.7.3
-revision=1
+revision=2
 wrksrc="${pkgname}_${version}"
 # Can't be compiled for aarch64, arm* or mips*
 archs="x86_64* i686*"

From de3eb46f10454751ebb25c8febb549f9850dca5f Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:11 +0200
Subject: [PATCH 3/9] gst-plugins-ugly1: rebuild against x264-20190507.2245

---
 srcpkgs/gst-plugins-ugly1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gst-plugins-ugly1/template b/srcpkgs/gst-plugins-ugly1/template
index 1a75efad870..b9eacd31d45 100644
--- a/srcpkgs/gst-plugins-ugly1/template
+++ b/srcpkgs/gst-plugins-ugly1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-ugly1'.
 pkgname=gst-plugins-ugly1
 version=1.14.4
-revision=1
+revision=2
 lib32disabled=yes
 wrksrc="${pkgname/1/}-${version}"
 build_style=gnu-configure

From 8a03d3e5be3f582f331cec4e00e6128481d5599f Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:11 +0200
Subject: [PATCH 4/9] handbrake: rebuild against x264-20190507.2245

---
 srcpkgs/handbrake/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/handbrake/template b/srcpkgs/handbrake/template
index 8bea77ff9b2..2d903948556 100644
--- a/srcpkgs/handbrake/template
+++ b/srcpkgs/handbrake/template
@@ -1,7 +1,7 @@
 # Template file for 'handbrake'
 pkgname=handbrake
 version=1.2.2
-revision=1
+revision=2
 archs="i686* x86_64* ppc64*"
 wrksrc="HandBrake-${version}"
 build_style=configure

From b7d0f7f1fc91fa231793dc428ba16ac7b89b1a26 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:11 +0200
Subject: [PATCH 5/9] ffmpeg: rebuild against x264-20190507.2245

---
 srcpkgs/ffmpeg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ffmpeg/template b/srcpkgs/ffmpeg/template
index 50a6bfed9b9..a457b16a619 100644
--- a/srcpkgs/ffmpeg/template
+++ b/srcpkgs/ffmpeg/template
@@ -2,7 +2,7 @@
 # audacity also needs to be bumped when a new ffmpeg version bumps libavformat's soname!
 pkgname=ffmpeg
 version=4.1.3
-revision=1
+revision=2
 short_desc="Decoding, encoding and streaming software"
 maintainer="Johannes <johannes.brechtmann@gmail.com>"
 license="GPL-3.0-or-later"

From 68c25e62fff0edf936f0e1f3afe6e3cce7bf1846 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:11 +0200
Subject: [PATCH 6/9] vlc: rebuild against x264-20190507.2245

---
 srcpkgs/vlc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vlc/template b/srcpkgs/vlc/template
index a7ad072442c..368dbd8e2b5 100644
--- a/srcpkgs/vlc/template
+++ b/srcpkgs/vlc/template
@@ -1,7 +1,7 @@
 # Template file for 'vlc'
 pkgname=vlc
 version=3.0.6
-revision=7
+revision=8
 build_style=gnu-configure
 configure_args="--disable-gme --disable-libtar --enable-jack
  --enable-live555 --disable-fluidsynth --enable-dvdread

From 7f37cb0b6611c1936d8d373e3dd25e3834ba076a Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:11 +0200
Subject: [PATCH 7/9] mplayer: rebuild against x264-20190507.2245

---
 srcpkgs/mplayer/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mplayer/template b/srcpkgs/mplayer/template
index 342039012cb..8776859e0b4 100644
--- a/srcpkgs/mplayer/template
+++ b/srcpkgs/mplayer/template
@@ -1,7 +1,7 @@
 # Template file for 'mplayer'
 pkgname=mplayer
 version=1.4
-revision=1
+revision=2
 wrksrc="MPlayer-${version}"
 build_style=configure
 hostmakedepends="pkg-config yasm"

From 7d6256bb96de0f7dd0f105486944ea27efa7aecf Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:11 +0200
Subject: [PATCH 8/9] obs: rebuild against x264-20190507.2245

---
 srcpkgs/obs/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/obs/template b/srcpkgs/obs/template
index d185791286a..811250b9afa 100644
--- a/srcpkgs/obs/template
+++ b/srcpkgs/obs/template
@@ -1,7 +1,7 @@
 # Template file for 'obs'
 pkgname=obs
 version=23.1.0
-revision=1
+revision=2
 _commit_hash_obs_browser="693498b518cf893876f454ef581e13106e8370ec"
 _commit_hash_obs_vst="fde438f7a8afdf41a7ab386a0aa1a61175fc8427"
 _commit_hash_ftl_sdk="98289f7c2ed754c647d451899b3356850c0c1fa3"

From bc3609b36660c885b697dbb7b0f770d10e599e5e Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:30:12 +0200
Subject: [PATCH 9/9] xpra: rebuild against x264-20190507.2245

[skip ci]
---
 srcpkgs/xpra/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xpra/template b/srcpkgs/xpra/template
index ddf9aa0a0c1..fc085ad2554 100644
--- a/srcpkgs/xpra/template
+++ b/srcpkgs/xpra/template
@@ -1,7 +1,7 @@
 # Template file for 'xpra'
 pkgname=xpra
 version=2.5.1
-revision=1
+revision=2
 build_style=python2-module
 pycompile_module="xpra"
 hostmakedepends="pkg-config python-Cython"
